Bug 150845 - CRASH: inserting a form
Summary: CRASH: inserting a form
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2022-09-07 12:20 UTC by Xisco Faulí
Modified: 2022-09-16 11:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By: Noel Grandin


Attachments
bt with debug symbols (9.75 KB, text/plain)
2022-09-07 16:59 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-09-07 12:20:44 UTC
Steps to reproduce:
1. Open writer
2. Form - Text Box

-> Crash

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 922b79a0f5a9151a6870ba395abcac5b54055275
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2022-09-07 12:21:33 UTC
Regression introduced by:

author	Noel Grandin <noel.grandin@collabora.co.uk>	2021-05-27 10:27:46 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2022-08-29 13:44:02 +0200
commit 8611f6e259b807b4f19c8dc0eab86ca648891ce3 (patch)
tree fa2b0e463aafb51df754768f916ca9104969a557
parent 25a997c15d39fb30676a375df8ea4ce1ed2e1acd (diff)
ref-count SdrObject

Bisected with: bibisect-linux64-7.5

Adding Cc: to Noel Grandin
Comment 2 Julien Nabet 2022-09-07 16:59:48 UTC
Created attachment 182287 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Julien Nabet 2022-09-07 17:00:36 UTC
Let's increase importance since:
- it's a crash
- it's a regression
- it's straightforward to reproduce
Comment 4 Commit Notification 2022-09-08 19:12:58 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f4883ff377369e36ad9f080b0c5f027023707297

tdf#150845 fix crash in writer Form->TextObject

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2022-09-09 06:15:17 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.
Comment 6 Commit Notification 2022-09-16 11:43:52 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ebd7cc1848ba2010128d09c5db524af2c6f5aa66

tdf#150845: sw_uiwriter3: Add unittest

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.